Subject: [clisp-list] GUI and CLISP

From: [email-masked]
Date: Wed Jan 16 05:32:05 2002

Hi,
a newbie's question:

Currently I think about a new projects (purely non-commerical) that should
run
under Windows 2000 / XP and Linux. Because it needs some user friendly
interface (Buttons, ListBoxes, scrollbars, graphical output, ...)  I think
xvWindows,
Kylix, Qt++ or similar stuff will do this. But as far as I know these tools
are mainly "connected" to C / C++.  Nevertheless I would like to have the
power fo Lisp (CLisp). (I remember my days at the university when I worked
with Interlisp-D / Loops).

My question:
Are there any toolkits for my needs (Win32 / Linux) that can be used via
CLisp?
What are there pros and cons, is there a "best" one?
Are there any "Hello World" examples?

Many thanks and best regards,
Johann Murauer
[email-masked]

---

From: Sam Steingold <[email-masked]>
Date: Wed Jan 16 07:00:08 2002

> * In message <[email-masked]>
> * On the subject of "[clisp-list] GUI and CLISP"
> * Sent on Wed, 16 Jan 2002 14:34:00 +0100
> * Honorable [email-masked] writes:
>
> Currently I think about a new projects (purely non-commerical) that
> should run under Windows 2000 / XP and Linux. Because it needs some
> user friendly interface (Buttons, ListBoxes, scrollbars, graphical
> output, ...)  I think xvWindows, Kylix, Qt++ or similar stuff will do
> this.

It would be nice to have a built-in GUI tollkit in CLISP.
(interfacing CLISP to QT, GTK or whatever).
Would you like to work on this?

> Are there any toolkits for my needs (Win32 / Linux) that can be used via

At the moment, you can either use CLX (and systems that build upon CLX,
such as Garnet), which would reaquire that you use cygwin on your
windows systems, or you can use a web browser as the front-end.
See inspect.lisp for the code and try it out:
start a web browser and CLISP, then type in CLISP
> (inspect '(1 2 (3 . 4) "5" "six" (seven)) :frontend :http)

-- 
Sam Steingold (http://www.podval.org/~sds)
Keep Jerusalem united! <http://www.onejerusalem.org/Petition.asp>
Read, think and remember! <http://www.iris.org.il> <http://www.memri.org/>
Those who value Life above Freedom are destined to lose both.

---

From: [email-masked] (Dr. Edmund Weitz)
Date: Wed Jan 16 07:50:04 2002

Sam Steingold <[email-masked]> writes:

> (interfacing CLISP to QT, GTK or whatever).  Would you like to work
> on this?

Last time I checked, clg <http://sourceforge.net/projects/clg> built
out-of-the-box with CLISP and worked pretty well. Currently, the only
problem seems to be that the maintainer is porting clg to the new GTK+
version.

It would be nice to have clg included with CLISP once it's ready,
i.e. you'd just have to enable/disable it with an option to
configure.

Edi.